from aoc import NcsService, devicemgr

class AocNcs_servicepoint(NcsService):

    def ncs_map(self, request, aoccontext=None, template=None):
        self.getIfNumb(request)
        self.getParentName(request)
        return self.render('HVPNService/servicepoint.j2', request.xmldictnode)

    def getIfNumb(self, request):
        sub_if_name = request.xmldictnode.hvpnService.name
        pointIndex = sub_if_name.find('.')
        ifNumb = sub_if_name[pointIndex + 1:]
        request.xmldictnode.update({"ifNumber": ifNumb})

    def getParentName(self, request):
        sub_if_name = request.xmldictnode.hvpnService.name
        pointIndex = sub_if_name.find('.')
        parentName = sub_if_name[0:pointIndex]
        request.xmldictnode.update({"parentName": parentName})